cURL
curl --request POST \
--url https://api.gptmaker.ai/v2/workspace/{workspaceId}/create-channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Meu Canal"
}
'import requests
url = "https://api.gptmaker.ai/v2/workspace/{workspaceId}/create-channel"
payload = { "name": "Meu Canal" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Meu Canal'})
};
fetch('https://api.gptmaker.ai/v2/workspace/{workspaceId}/create-channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assistantId": null,
"workspace": {
"name": "Askia Inoove",
"id": "3EB7F3C2BDB85017727802E54CF1568E"
},
"name": "canal de teste slc doido",
"id": "3EC7E989CB4C50C1B8C542CD510C3BFC",
"type": "WIDGET"
}{
"error": "<string>"
}{
"error": "<string>"
}Canais
Criar canal no workspace
Endpoint mais atualizado para criação de canais. Permite criar um canal de forma independente, sem necessidade de vinculá-lo a um agente.
POST
/
v2
/
workspace
/
{workspaceId}
/
create-channel
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do workspace
Body
application/json
Dados para criação do canal
Response
Canal criado com sucesso
ID do agente vinculado (quando houver)
Workspace do canal
Show child attributes
Show child attributes
Nome do canal
ID do canal
Tipo do canal
Available options:
Z_API, WHATSAPP, INSTAGRAM, CLOUD_API, TELEGRAM, WIDGET, MESSENGER, MERCADO_LIVRE, TWILIO_SMS 
